RagTime5TextInternal::SubDocument Class Reference documentation

RagTime5TextInternal::SubDocument Class Referencefinal

Internal: the subdocument of a RagTime5Text. More...

Inheritance diagram for RagTime5TextInternal::SubDocument:

## Public Member Functions
| SubDocument (RagTime5Text &parser, MWAWInputStreamPtr const &input, RagTime5TextInternal::ClusterText &cluster, RagTime5Zone &dataZone, size_t firstChar, size_t lastChar)
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
RagTime5Text & | m_ragtimeParser
| the main parser
ClusterText & | m_cluster
| the cluster
RagTime5Zone & | m_dataZone
| the data zone
size_t | m_firstChar
| the first char
size_t | m_lastChar
| the last char
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Detailed Description

Internal: the subdocument of a RagTime5Text.

## Constructor & Destructor Documentation

## ◆ SubDocument()

RagTime5TextInternal::SubDocument::SubDocument | ( | RagTime5Text & | parser,
|  | MWAWInputStreamPtr const & | input,
|  | RagTime5TextInternal::ClusterText & | cluster,
|  | RagTime5Zone & | dataZone,
|  | size_t | firstChar,
|  | size_t | lastChar )
| inline

Referenced by operator!=().

## ◆ ~SubDocument()

RagTime5TextInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## Member Function Documentation

## ◆ operator!=()

bool RagTime5TextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| finalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ parse()

void RagTime5TextInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_cluster

ClusterText& RagTime5TextInternal::SubDocument::m_cluster
| protected

the cluster

Referenced by operator!=(), parse(), and SubDocument().

## ◆ m_dataZone

RagTime5Zone& RagTime5TextInternal::SubDocument::m_dataZone
| protected

the data zone

Referenced by operator!=(), parse(), and SubDocument().

## ◆ m_firstChar

size_t RagTime5TextInternal::SubDocument::m_firstChar
| protected

the first char

Referenced by operator!=(), parse(), and SubDocument().

## ◆ m_lastChar

size_t RagTime5TextInternal::SubDocument::m_lastChar
| protected

the last char

Referenced by operator!=(), parse(), and SubDocument().

## ◆ m_ragtimeParser

RagTime5Text& RagTime5TextInternal::SubDocument::m_ragtimeParser
| protected

the main parser

Referenced by operator!=(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- RagTime5Text.cxx